Bug 2249946 (CVE-2023-44444)

Summary: CVE-2023-44444 gimp: psp off-by-one RCE
Product: [Other] Security Response Reporter: Nick Tait <ntait>
Component: vulnerabilityAssignee: Product Security <prodsec-ir-bot>
Status: NEW --- QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedKeywords: Security
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: GIMP 2.10.36 Doc Type: If docs needed, set a value
Doc Text:
A parsing vulnerability was found in the GNU Image Manipulation Program (GIMP). This flaw allows an unauthenticated, remote attacker to trick a GIMP user into opening a malicious PSP file, possibly enabling the execution of unauthorized code within the GIMP process.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2249947    
Bug Blocks: 2249924    

Description Nick Tait 2023-11-16 00:51:54 UTC
From the ZDI report:
'''
This vulnerability allows remote attackers to execute arbitrary code on affected installations of GIMP. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the parsing of PSP files. Crafted data in a PSP file can trigger an off-by-one error when calculating a location to write within a heap-based buffer. An attacker can leverage this vulnerability to execute code in the context of the current process.
'''

Comment 1 Nick Tait 2023-11-16 00:52:07 UTC
Created gimp tracking bugs for this issue:

Affects: fedora-all [bug 2249947]

Comment 4 errata-xmlrpc 2024-02-05 11:29:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2024:0675 https://access.redhat.com/errata/RHSA-2024:0675

Comment 5 errata-xmlrpc 2024-02-06 10:14:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9.2 Extended Update Support

Via RHSA-2024:0702 https://access.redhat.com/errata/RHSA-2024:0702

Comment 7 errata-xmlrpc 2024-02-07 13:31:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9.0 Extended Update Support

Via RHSA-2024:0716 https://access.redhat.com/errata/RHSA-2024:0716

Comment 8 errata-xmlrpc 2024-02-19 14:33:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.6 Extended Update Support

Via RHSA-2024:0863 https://access.redhat.com/errata/RHSA-2024:0863

Comment 9 errata-xmlrpc 2024-02-19 14:33:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.8 Extended Update Support

Via RHSA-2024:0862 https://access.redhat.com/errata/RHSA-2024:0862

Comment 10 errata-xmlrpc 2024-02-19 14:34:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:0861 https://access.redhat.com/errata/RHSA-2024:0861

Comment 11 errata-xmlrpc 2024-02-27 14:18:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Advanced Mission Critical Update Support
  Red Hat Enterprise Linux 8.4 Update Services for SAP Solutions
  Red Hat Enterprise Linux 8.4 Telecommunications Update Service

Via RHSA-2024:1007 https://access.redhat.com/errata/RHSA-2024:1007

Comment 12 errata-xmlrpc 2024-03-14 11:11:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Advanced Update Support
  Red Hat Enterprise Linux 8.2 Update Services for SAP Solutions
  Red Hat Enterprise Linux 8.2 Telecommunications Update Service

Via RHSA-2024:1327 https://access.redhat.com/errata/RHSA-2024:1327